Page MenuHomePhabricator

Unchanged alien nodes sometimes show up in visual diff
Closed, ResolvedPublic

Description

Since T188833: Display alien node changes in visual diff, changes to alien nodes are shown in a simple way in visual diffs. But in some cases, they show even if they weren't changed, while sometimes they are omitted as expected.
https://de.wikipedia.org/w/index.php?title=Internationale_Mathematik-Olympiade&action=history has many examples of this behaviour. The article has 3 blockquotes, which aren't changed in most of the edits, but sometimes show up as both deleted and inserted again, with no apparent logic.

E.g. https://de.wikipedia.org/w/index.php?title=Internationale_Mathematik-Olympiade&type=revision&diff=177245738&oldid=177216255&diffmode=visual shows one of the them. https://de.wikipedia.org/w/index.php?title=Internationale_Mathematik-Olympiade&diff=prev&oldid=176981978&diffmode=visual shows none, https://de.wikipedia.org/w/index.php?title=Internationale_Mathematik-Olympiade&diff=prev&oldid=167603307&diffmode=visual all three. At least, that's the way these diffs currently behave for me, I'm not entirely sure, but the behaviour doesn't even seem to be stable for one diff.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (a17837fa6)
VisualEditor/VisualEditor : masterStrip 'about' attributes when comparing alien nodes

Event Timeline

Schnark created this task.May 23 2018, 7:55 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 23 2018, 7:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The math tags contain a sequential about attribute "mwt53", "mwt54" etc. which can change if new extensions or templates are added to the page. In normal diffing this attribute is ignored, but in alien diffing we currently compare the raw HTML.

This is a minimal diff:

Foo

bar

<blockquote>
and {{echo|baz}}
</blockquote>

->

Foo {{echo|new}}

bar

<blockquote>
and {{echo|baz}}
</blockquote>

Change 435053 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Strip 'about' attributes when comparing alien nodes

https://gerrit.wikimedia.org/r/435053

Change 435053 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Strip 'about' attributes when comparing alien nodes

https://gerrit.wikimedia.org/r/435053

Change 435203 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a17837fa6)

https://gerrit.wikimedia.org/r/435203

Change 435203 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a17837fa6)

https://gerrit.wikimedia.org/r/435203

Deskana closed this task as Resolved.May 28 2018, 3:38 PM
Deskana triaged this task as Normal priority.
Vvjjkkii renamed this task from Unchanged alien nodes sometimes show up in visual diff to 3gcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 3gcaaaaaaa to Unchanged alien nodes sometimes show up in visual diff.Jul 2 2018, 4:41 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.